#include "ProblemInstatBase.hpp"

#include "AdaptInfo.hpp"
#include "AdaptStationary.hpp"
#include "StandardProblemIteration.hpp"

namespace AMDiS
{
  void ProblemInstatBase::setTime(AdaptInfo& adaptInfo)
  {
    cTime = adaptInfo.getTime();
    tau = adaptInfo.getTimestep();
    invTau = 1.0 / tau;
  }
  

  void ProblemInstatBase::solveInitialProblem(AdaptInfo& adaptInfo)
  {
    StandardProblemIteration iteration(*initialProblem);
    AdaptStationary initialAdapt(name + "->initial->adapt", iteration, adaptInfo);

    initialAdapt.adapt();
  }
  
} // end namespace AMDiS
